(function() {
	tinymce.create('tinymce.plugins.lead_rocket_pro', {
		
		init : function(ed, url) {
			// Register example button
			ed.addButton('lead_rocket_pro', {
				title : 'Lead Rocket Pro',
				cmd : 'mcelead_rocket_pro',
				image : url + '/lead_rocket_pro.jpg',
				onclick: function(){
					var shortcode = '[lead_rocket_pro]';
					ed.execCommand('mceInsertContent',false,shortcode);		
				}
			});

			// Add a node change handler, selects the button in the UI when a image is selected
			ed.onNodeChange.add(function(ed, cm, n) {
				cm.setActive('lead_rocket_pro', n.nodeName == 'IMG');
			});
		},
		
	});
	tinymce.PluginManager.add('lead_rocket_pro', tinymce.plugins.lead_rocket_pro);
})();

